package cn.hmsoft.exception.web;

import cn.hmsoft.exception.AppException;

/**********************************
 * web通用错误
 * 
 * @author zxq
 * @create 2019-05-06 08:11:17
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
public class WebException extends AppException {
	private static final long serialVersionUID = 1095732331636949525L;
	private static final int err_code = 10300;

	public WebException(String msg) {
		super(err_code, msg);
	}

	public WebException(int err_code, String msg) {
		super(err_code, msg);
	}

	public WebException(int err_code, String msg, Throwable cause) {
		super(err_code, msg, cause);
	}

	public WebException(Throwable cause) {
		super(err_code, cause.getMessage(), cause);
	}

}
